function averaged(ac, table)   %for displaying a stock's prediction 17 days into the future using model 2

    x = NaT(1,ac+17);
    y = zeros(1,ac);
    
    for i = 1:ac+17                     %extracts the relevant past and future data from the inputted data
        x(i) = table.Date(253-ac + i);
    end
    
    for i= 1:ac
        y(i)= table.Close(253-ac + i);
    end
    
    avg = movmean(y,5);               %performs a moving mean on the past stock data with an input of 5 days
    
    for i= 1:17                       %extracts the future stock data and combines it with the moving mean data
        avg(ac+i)= table.Close(253 + i);
    end
        
    fourier(ac,x,avg);      %calls the function that performs the calculations and displays the graphs
    
end