function dowjoned(ac, DJI, table)   %for displaying a stock's prediction 17 days into the future using model 3

    x = NaT(1,ac+17);
    y = zeros(1,ac+17);
    dij = zeros(1,ac+17);
    
    for i = 1:ac+17                         %extracts the relevant past and future data from the inputted
        x(i) = table.Date(253-ac + i);      %stock and index data 
        y(i) = table.Close(253-ac + i);
        dij(i) = DJI.Close(253-ac + i);
    end
    
    crossCorr(ac,x,y,dij);     %calls the function that performs the calculations and displays the graphs
end