function ffted(ac, DJI, table)     %for displaying a stock's prediction 17 days into the future using model 4

    x = NaT(1,ac+17);
    y = zeros(1,ac);
    dij = zeros(1,ac+17);
    
    
    for i = 1:ac+17                     %extracts the relevant past and future dates
        x(i) = table.Date(253-ac + i);  %from the inputted stock data
    end
    
    for i= 1:ac                         %extracts the relevant past price data from the 
        y(i)= table.Close(253-ac + i);  %inputted stock data
    end
    
    rawFFT = fft(y);                    %performs the fast fourier transformation on the stock data
    fftFilter = fix(rawFFT/10)*10;      %smoothes the data by dividing, rounding towards 0, and multiplying
    stockDataSmooth = ifft(fftFilter);  %undoes the fast fourier transformation on the smoothed data
    
    for i= 1:22          %restores the last 5 dates of the data back to normal, for more accurate starting point 
        stockDataSmooth(ac-5+i)= table.Close(248 + i); %of prediction
    end                                                %additionally, extract the future data of the stock
        
    for i= 1:ac+17                                     %extracts the relevant past and future data of the index
        dij(i)= DJI.Close(253-ac + i);
    end
   
    
    dowjoned(ac,x,stockDataSmooth,dij);   %calls the function that performs the calculations and 
                                             %displays the graphs
    
end